Package org.jbpm.persistence.jpa.hibernate

## Class PostgreSQLLobTypeContributor.TextContributorType

- java.lang.Object
- - org.hibernate.type.AbstractStandardBasicType<T>
  - - org.hibernate.type.AbstractSingleColumnStandardBasicType<J>
    - - org.hibernate.type.StandardBasicTypeTemplate<String>
      - - org.jbpm.persistence.jpa.hibernate.PostgreSQLLobTypeContributor.TextContributorType

- All Implemented Interfaces:
    `Serializable`, `org.hibernate.type.BasicType`, `org.hibernate.type.ProcedureParameterExtractionAware<String>`, `org.hibernate.type.ProcedureParameterNamedBinder`, `org.hibernate.type.SingleColumnType<String>`, `org.hibernate.type.StringRepresentableType<String>`, `org.hibernate.type.Type`
  Enclosing class:
    PostgreSQLLobTypeContributor

      public class PostgreSQLLobTypeContributor.TextContributorType
      extends org.hibernate.type.StandardBasicTypeTemplate<String>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextContributorType()` |

  - ### Method Summary

    - ### Methods inherited from class org.hibernate.type.StandardBasicTypeTemplate

      `getName, getRegistrationKeys`

    - ### Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType

      `nullSafeSet, sqlType`

    - ### Methods inherited from class org.hibernate.type.AbstractStandardBasicType

      `assemble, beforeAssemble, canDoExtraction, canDoSetting, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, extract, extract, fromString, fromStringValue, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeSet, registerUnderJavaType, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setJavaTypeDescriptor, setSqlTypeDescriptor, sqlTypes, toColumnNullness, toLoggableString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.type.SingleColumnType

      `fromStringValue, get, nullSafeGet, set, toString`

    - ### Methods inherited from interface org.hibernate.type.Type

      `assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, resolve, semiResolve, sqlTypes, toColumnNullness, toLoggableString`

- - ### Constructor Detail

    - #### TextContributorType

          public TextContributorType()